<?php


add_action( 'wp_enqueue_scripts', 'enqueue_child_theme_style' );
function enqueue_child_theme_style() {
	wp_enqueue_style( 'beautiful_css_child', get_stylesheet_directory_uri() . '/style.css', array(
		'beautiful_style',
	), 1.0 );
}

// example to set theme default
add_action('init','my_set_theme_defaults');
function my_set_theme_defaults(){
	// set the default blog image style to hidden (which is number 4)
	// the other numbers are 1 = full width, 2 = right aligned, 3 = left aligned.
//	set_theme_mod( 'beautiful_thumbnail_style',4 );
}

// example to set theme default
add_action('after_setup_theme','my_after_setup_theme',50);
function my_after_setup_theme(){
	// set a new default thumbnail size ( you might have to regenerate thumbnails after changing this, use this plugin: https://wordpress.org/plugins/regenerate-thumbnails/ )
//	set_post_thumbnail_size( 300, 200, true );
}

// This is an example override for a parent theme function:


function beautiful_blog_links() {
	if ( 'post' == get_post_type() ) : ?>
		<div class="blog_links">
			<?php
			$blog_links    = array();
			$blog_links ['date'] = sprintf( wp_kses_post( __( '<span class="the-date"> <i class="fa fa-calendar"></i> <a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a> </span>' ) ),
				esc_url( get_permalink() ),
				esc_attr( get_the_time() ),
				esc_attr( get_the_date( 'c' ) ),
				esc_html( get_the_date() )
			);
			$blog_links ['author'] = sprintf( wp_kses_post( __( '<span class="by-author"> <i class="fa fa-user"></i> <span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span></span>' ) ),
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				sprintf( esc_attr__( 'View all posts by %s' ), get_the_author() ),
				esc_html( get_the_author() )
			);
			if ( comments_open() ) {
				ob_start();
				comments_popup_link( '<span class="leave-comment"><i class="fa fa-comment"></i> ' . esc_html__( 'Leave a comment' ) . '</span>', wp_kses_post( __( '<i class="fa fa-comment"></i> <strong>1</strong> Comment' ) ), wp_kses_post( __( '<i class="fa fa-comment"></i> <strong>%</strong> Comments' ) ) );
				$blog_links['comments'] = ob_get_clean();
			}
			$categories_list = get_the_category_list( esc_html__( ', ' ) );
			if ( $categories_list ) {
				$blog_links['categories'] = sprintf( wp_kses_post( __( '<span class="%1$s"><i class="fa fa-files-o"></i></span> %2$s' ) ), 'entry-utility-prep entry-utility-prep-cat-links', $categories_list );
			}
			$tags_list = get_the_tag_list( '', esc_html__( ', ' ) );
			if ( $tags_list ) {
				$blog_links['tags'] = sprintf( wp_kses_post( __( '<span class="%1$s"><i class="fa fa-tags"></i></span> %2$s' ) ), 'entry-utility-prep entry-utility-prep-tag-links', $tags_list );
			}
			echo implode( ' <span class="blog_links_sep">/</span> ', apply_filters( 'beautiful_blog_links', $blog_links ) );
			?>
		</div>
	<?php endif; ?>
	<div class="clear"></div>
	<?php
}